Clean up detection alert migrations

Base URL
https://{kibana_url}
  • DELETE /api/detection_engine/signals/migration
  • DELETE /s/{space_id}/api/detection_engine/signals/migration
Auth Deprecated

Migrations favor data integrity over shard size. Consequently, unused or orphaned indices are artifacts of the migration process. A successful migration will result in both the old and new indices being present. As such, the old, orphaned index can (and likely should) be deleted.

While you can delete these indices manually, the endpoint accomplishes this task by applying a deletion policy to the relevant index, causing it to be deleted after 30 days. It also deletes other artifacts specific to the migration implementation.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Array of migration_ids to cleanup

migration_ids string[] · min items: 1 required

Responses

Successful response

application/json
<array> object[]
destinationIndex string required
error object
message string required
status_code integer required
id string required
sourceIndex string required
status enum required
Values: success failure pending
updated string · format: date-time required
version string required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}